
/*
 * This file was automatically generated using swig_doc.py.
 * 
 * Any changes to it will be lost next time it is regenerated.
 */




%feature("docstring") gr::channels::channel_model "channel simulator

This block implements a basic channel model simulator that can be used to help evaluate, design, and test various signals, waveforms, and algorithms. This model allows the user to set the voltage of an AWGN noise source, a (normalized) frequency offset, a sample timing offset, and a noise seed to randomize the AWGN noise source.

Multipath can be approximated in this model by using a FIR filter representation of a multipath delay profile..

Constructor Specific Documentation:

Build the channel simulator.

Args:
    noise_voltage : The AWGN noise level as a voltage (to be calculated externally to meet, say, a desired SNR).
    frequency_offset : The normalized frequency offset. 0 is no offset; 0.25 would be, for a digital modem, one quarter of the symbol rate.
    epsilon : The sample timing offset to emulate the different rates between the sample clocks of the transmitter and receiver. 1.0 is no difference.
    taps : Taps of a FIR filter to emulate a multipath delay profile.
    noise_seed : A random number generator seed for the noise source."

















%feature("docstring") gr::channels::channel_model::make "channel simulator

This block implements a basic channel model simulator that can be used to help evaluate, design, and test various signals, waveforms, and algorithms. This model allows the user to set the voltage of an AWGN noise source, a (normalized) frequency offset, a sample timing offset, and a noise seed to randomize the AWGN noise source.

Multipath can be approximated in this model by using a FIR filter representation of a multipath delay profile..

Constructor Specific Documentation:

Build the channel simulator.

Args:
    noise_voltage : The AWGN noise level as a voltage (to be calculated externally to meet, say, a desired SNR).
    frequency_offset : The normalized frequency offset. 0 is no offset; 0.25 would be, for a digital modem, one quarter of the symbol rate.
    epsilon : The sample timing offset to emulate the different rates between the sample clocks of the transmitter and receiver. 1.0 is no difference.
    taps : Taps of a FIR filter to emulate a multipath delay profile.
    noise_seed : A random number generator seed for the noise source."

%feature("docstring") gr::channels::channel_model2 "channel model2

This block implements a basic channel model simulator that can be used to help evaluate, design, and test various signals, waveforms, and algorithms.

This model allows the user to set the voltage of an AWGN noise source, an initial timing offset, and a noise seed to randomize the AWGN noise source.

Multipath can be approximated in this model by using a FIR filter representation of a multipath delay profile.

Unlike gr::channels::channel_model, this block is designed to enable time-varying frequency and timing offsets.


Since the models for frequency and timing offset may vary and what we are trying to model may be different for different simulations, we provide the time-varying nature as an input function that is user-defined. If only constant frequency and timing offsets are required, it is easier and less expensive to use gr::channels::channel_model.

Constructor Specific Documentation:

Build the channel simulator.

Args:
    noise_voltage : The AWGN noise level as a voltage (to be calculated externally to meet, say, a desired SNR).
    epsilon : The initial sample timing offset to emulate the different rates between the sample clocks of the transmitter and receiver. 1.0 is no difference.
    taps : Taps of a FIR filter to emulate a multipath delay profile.
    noise_seed : A random number generator seed for the noise source."













%feature("docstring") gr::channels::channel_model2::make "channel model2

This block implements a basic channel model simulator that can be used to help evaluate, design, and test various signals, waveforms, and algorithms.

This model allows the user to set the voltage of an AWGN noise source, an initial timing offset, and a noise seed to randomize the AWGN noise source.

Multipath can be approximated in this model by using a FIR filter representation of a multipath delay profile.

Unlike gr::channels::channel_model, this block is designed to enable time-varying frequency and timing offsets.


Since the models for frequency and timing offset may vary and what we are trying to model may be different for different simulations, we provide the time-varying nature as an input function that is user-defined. If only constant frequency and timing offsets are required, it is easier and less expensive to use gr::channels::channel_model.

Constructor Specific Documentation:

Build the channel simulator.

Args:
    noise_voltage : The AWGN noise level as a voltage (to be calculated externally to meet, say, a desired SNR).
    epsilon : The initial sample timing offset to emulate the different rates between the sample clocks of the transmitter and receiver. 1.0 is no difference.
    taps : Taps of a FIR filter to emulate a multipath delay profile.
    noise_seed : A random number generator seed for the noise source."

%feature("docstring") gr::channels::fading_model "fading simulator

This block implements a basic fading model simulator that can be used to help evaluate, design, and test various signals, waveforms, and algorithms.

Constructor Specific Documentation:

Build the channel simulator.

Args:
    N : The number of sinusiods to use in simulating the channel; 8 is a good value
    fDTs : normalized maximum Doppler frequency, fD * Ts
    LOS : include Line-of-Site path? selects between Rayleigh (NLOS) and Rician (LOS) models
    K : Rician factor (ratio of the specular power to the scattered power)
    seed : a random number to seed the noise generators"













%feature("docstring") gr::channels::fading_model::make "fading simulator

This block implements a basic fading model simulator that can be used to help evaluate, design, and test various signals, waveforms, and algorithms.

Constructor Specific Documentation:

Build the channel simulator.

Args:
    N : The number of sinusiods to use in simulating the channel; 8 is a good value
    fDTs : normalized maximum Doppler frequency, fD * Ts
    LOS : include Line-of-Site path? selects between Rayleigh (NLOS) and Rician (LOS) models
    K : Rician factor (ratio of the specular power to the scattered power)
    seed : a random number to seed the noise generators"

%feature("docstring") gr::channels::selective_fading_model "fading simulator

This block implements a basic fading model simulator that can be used to help evaluate, design, and test various signals, waveforms, and algorithms.

Constructor Specific Documentation:

Build the channel simulator.

Args:
    N : The number of sinusiods to use in simulating the channel; 8 is a good value
    fDTs : normalized maximum Doppler frequency, fD * Ts
    LOS : include Line-of-Site path? selects between Rayleigh (NLOS) and Rician (LOS) models
    K : Rician factor (ratio of the specular power to the scattered power)
    seed : a random number to seed the noise generators
    delays : A vector of values the specify the time delay of each impulse
    mags : A vector of values that specifies the magnitude of each impulse
    ntaps : The number of filter taps."













%feature("docstring") gr::channels::selective_fading_model::make "fading simulator

This block implements a basic fading model simulator that can be used to help evaluate, design, and test various signals, waveforms, and algorithms.

Constructor Specific Documentation:

Build the channel simulator.

Args:
    N : The number of sinusiods to use in simulating the channel; 8 is a good value
    fDTs : normalized maximum Doppler frequency, fD * Ts
    LOS : include Line-of-Site path? selects between Rayleigh (NLOS) and Rician (LOS) models
    K : Rician factor (ratio of the specular power to the scattered power)
    seed : a random number to seed the noise generators
    delays : A vector of values the specify the time delay of each impulse
    mags : A vector of values that specifies the magnitude of each impulse
    ntaps : The number of filter taps."